bglibs: ipv4: IPv4 Address Handling

- Main Page
- Modules
- Data Structures
- Files
- Directories
- Related Pages
- Examples

# ipv4: IPv4 Address Handling

## Data Structures
struct | ipv4addr
## Typedefs
typedef uint16 | ipv4port
## Functions
int | ipv4_parse (const char *s, ipv4addr *addr, const char **end) __attribute__((__deprecated__))
const char * | ipv4_scan (const char *s, ipv4addr *addr)
const char * | ipv4_format (const ipv4addr *addr)
unsigned | fmt_ipv4addr (char *buffer, const ipv4addr *addr)
## Variables
const ipv4addr | IPV4ADDR_ANY
const ipv4addr | IPV4ADDR_BROADCAST
const ipv4addr | IPV4ADDR_LOOPBACK

## Typedef Documentation

typedef uint16 ipv4port

IPv4 port number.

## Function Documentation

unsigned fmt_ipv4addr | ( | char * | buffer,
|  | const ipv4addr * | addr |
| ) |  |  |

Produce a formatted string from an IPv4 address.

The given buffer must be at least 15 bytes long, or 16 bytes if it needs to contain the standard trailing `NUL` byte.

Returns:
  The number of bytes written to the buffer.

Note:
  This routine is thread and recursion safe.

const char* ipv4_format | ( | const ipv4addr * | addr | ) |

Produce a formatted C string from an IPv4 address.

Note:
  The return value is statically allocated. Multiple calls to this function will return pointers to the same string.

int ipv4_parse | ( | const char * | start,
|  | ipv4addr * | addr,
|  | const char ** | end |
| ) |  |  |

Parse an IPv4 address.

Deprecated:
  This function is a wrapper for `ipv4_scan`.

Returns:
  Non-zero (true) if parsing succeeded, and sets `*end` to the first character past the end of the address.

const char* ipv4_scan | ( | const char * | start,
|  | ipv4addr * | addr |
| ) |  |  |

Scan a C string for an IPv4 address.

Returns:
  `NULL` if parsing failed, otherwise a pointer to the first character after the end of the address.

## Variable Documentation

const ipv4addr IPV4ADDR_ANY

IPv4 "any" address constant.

const ipv4addr IPV4ADDR_BROADCAST

IPv4 broadcast address constant.

const ipv4addr IPV4ADDR_LOOPBACK

IPv4 loopback address constant.